خانه / وردپرس / خطاهای وردپرس / خطای ورژن جدید وردپرس چیست و چگونه آن را رفع کنیم؟
راه اندازی سایت فروشگاهی دیجی کالا و بامیلو
خطای ورژن جدید وردپرس"

تاریخ بروزرسانی: ۲۴ مرداد ۱۳۹۷ تعداد بازدید : 2,239 بازدید تعداد دیدگاه : ۷

خطای ورژن جدید وردپرس چیست و چگونه آن را رفع کنیم؟

خطای ورژن جدید وردپرس

سلام به تیک تم خوش آمدید. در این مطلب با ارائه روش هایی برای حل خطای ورژن جدید وردپرس در خدمت شما هستیم.

اگر شما هم عضو آن دسته از کاربرانی باشید که وردپرس خود را ارتقا داده و به آخرین ورژن آپدیت کرده باشید، احتمالا با خطای ورژن جدید وردپرس مواجه شده‌اید. این خطا روی سرور بصورت زیر است:

Fatal error: Call to undefined function get_bloginfo() in /home/****/public_html/wp-includes/class-wp-locale.php on line 233

نکته: توجه داشته باشید که قبل از اعمال هر گونه تغییری یک نسخه بک آپ از سایتتان بگیرید.

 خطای ورژن جدید وردپرس چیست؟

  • برای رفع خطای ورژن جدید وردپرس مراحل زیر را به ترتیب طی کنید:
  • در مرحله‌ی اول باید وردپرس را به صورت دستی به‌روزرسانی کنید.

  • سپس فایل‌های موجود در zip وردپرس را جایگزین قبلی کنید. در این مرحله خوب دقت کنید که هیچ فایلی را حذف نکنید.

  • دقت کنید فایل wp-config.php و پوشه wp-content جایگزین نشود. می‌توانید اسم آنها را عوض کنید و بعد از فایل‌ها همین پوشه‌های اکسترکت شده را پاک کنید. مجددا نام آنها را به نام اولیه بازگردانید. با این روش این فایل ها جایگزین نخواهند شد.
  • معمولا این مشکل با این راه حل از بین خواهد رفت.
همین حالا ببینید:  افزونه بک آپ وردپرس با Super Backup & Clone

خطای ورژن جدید وردپرس

نکته‌ای که باید رعایت کنید این است که حتما از نسخه اصلی و انگلیسی وردپرس استفاده کنید. سپس آنرا بصورت دستی آپدیت کنید. برای دانلود از لینک زیر استفاده کنید:

دانلود افزونه

مشاهده مشخصات

نکته:‌ برای اینکه در حین نصب وردپرس با این ارور مواجه نشوید ابتدا باید پرونده wp-config-sample.php را با یک ویرایشگر بازکنید. سپس  اطلاعات ویرایش و سپس فایل با را نام wp-config.php ذخیره کنید. اگر این کار را برعکس انجام دهید با این ارور برخورد خواهید کرد.

نکته:‌ اگر شما قبلا وردپرس نصب کردید حتما می‌دانید که فایل wp-config-sample.php باید به wp-config.php تغییر پیدا کند.  مشکل شما مربوط به نسخه php هست.  نسخه php رو بالای ۵٫۶ قرار بدهید.  البته وردپرس با php 7 i هم در آخرین نسخه سازگار می‌باشد.

 

ما امیدواریم  که توانسته باشیم با ارائه راه‌حل بالا برای حل کردن مشکل‌تان به شما کمک کرده باشیم. همچنین اگر روش دیگری برای حل این مساله دارید آن را در نظرات با ما در میان بگذارید. گروه تیک‌تم آرزومند موفقیت شماست.

 

مطالب مرتبط:

بک لینک ها چه تاثیری در سئو سایت دارند؟

افزونه تست ارسال ایمیل در ووکامرس

افزونه محدودیت در ورود به پنل مدیریتی وردپرس

ساخت فرم حرفه ای در وردپرس با افزونه Ninja Forms

منبع:‌ تیک‌تم – ارائه دهنده: قالب تجاری وردپرسقالب شخصی وردپرسقالب فیلم وردپرس

تیک تم: آموزش ویدیویی سی پنل

لینک کوتاه این مطلب: https://tiktheme.com/?p=1160


کانال تلگرام تیک تم

۷ دیدگاه

  1. من همه این کار ها رو انجام دادم ولی مشکل حل نشد

    • سلام ناصر عزیز. ورژن پی اچ پی هاست خود را به ۵٫۶ ارتقا بدهید اگر حل نشد روی ورژن ها ۷ نیز تست کنید. احتمال می دهم افزونه یا قالب شما با وردپرس جدید و توابع جدید آن مشگل داشته باشد و پی اچ پی شما نیز قدیمی باشد. باید تست کنید تا ببینید مشگل کجاست. اگر روشی برای حل کردن این موضوع پیدا کردید خوشحال می شویم تجربه خود را با دیگر دوستان به اشتراک بگذارید تا به نام خودتون در تیک تم منتشر کنیم.

  2. من این رو دارم این چیه ؟
    Fatal error: Call to undefined function get_bloginfo() in /home/pishroc1/public_html/wp-includes/class-wp-locale.php on line 231

دیدگاهتان را بنویسید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *